package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFG51 extends MwfRequest<MWFG51, MWFG51Response> {

    @Parameter(name = "CLIENT_ADDRESS_BCC")
    MWFG51 clientAddressBcc(String clientAddressBcc);
    @Parameter(name = "CLIENT_ADDRESS_CC")
    MWFG51 clientAddressCc(String clientAddressCc);
    @Parameter(name = "CLIENT_ADDRESS_TO")
    MWFG51 clientAddressTo(String clientAddressTo);
    @Parameter(name = "CLIENT_BIRTH_NUM")
    MWFG51 clientBirthNum(String clientBirthNum);
    @Parameter(name = "CLIENT_ID")
    MWFG51 clientId(String clientId);
    @Parameter(name = "COST_CENTER_ID")
    MWFG51 costCenterId(Long costCenterId);
    @Parameter(name = "FORMAT_ID")
    MWFG51 formatId(Long formatId);
    @Parameter(name = "GATEWAY_ADDRESS")
    MWFG51 gatewayAddress(String gatewayAddress);
    @Parameter(name = "GW_SYS_ID")
    MWFG51 gwSysId(Long gwSysId);
    @Parameter(name = "MESG_ALLOW_PAIRING")
    MWFG51 mesgAllowPairing(Long mesgAllowPairing);
    @Parameter(name = "MESG_ATTACHMENT_DMS_ID")
    MWFG51 mesgAttachmentDmsId(String mesgAttachmentDmsId);
    @Parameter(name = "MESG_ATTACHMENT_NAME")
    MWFG51 mesgAttachmentName(String mesgAttachmentName);
    @Parameter(name = "MESG_ATTACHMENT_URI")
    MWFG51 mesgAttachmentUri(String mesgAttachmentUri);
    @Parameter(name = "MESG_PARAMS")
    MWFG51 mesgParams(String mesgParams);
    @Parameter(name = "REF_ID")
    MWFG51 refId(Long refId);
    @Parameter(name = "REPLY_TO")
    MWFG51 replyTo(String replyTo);
    @Parameter(name = "SEND_TIME")
    MWFG51 sendTime(String sendTime);
}
